package dev.inmo.postssystem.services.posts.server

import dev.inmo.micro_utils.repos.ReadCRUDRepo
import dev.inmo.postssystem.features.posts.common.PostId
import dev.inmo.postssystem.features.posts.common.RegisteredPost
import dev.inmo.postssystem.features.posts.server.ServerReadPostsStorage
import dev.inmo.postssystem.services.posts.common.ReadPostsService

class DefaultExposedReadPostsService(
    private val postsStorage: ServerReadPostsStorage
) : ReadPostsService, ReadCRUDRepo<RegisteredPost, PostId> by postsStorage
